#pragma once

#include <forward_list>
#include <string>

class Finder {
public:
  virtual ~Finder() = default;

  virtual std::forward_list<const std::string *>
  find_prefix(std::string_view search_term) const = 0;
};
